ON_2dexMap Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_array.h>`

Inheritance diagram for ON_2dexMap:

## Public Member Functions

| ON_2dexMap ()
| ON_2dexMap (int capacity)
| ~ON_2dexMap ()
int | Count () const
void | Reserve (int capacity)
const ON_2dex * | Array () const
ON_2dex | operator[] (int i) const
void | Create (int count, int i0, int j)
int | FindIndex (int i, int not_found_rc) const
bool | AddIndex (int i, int j)
bool | SetIndex (int i, int j)
void | SetOrAddIndex (int i, int j)
bool | RemoveIndex (int i)
const ON_2dex * | Find2dex (int i) const

## Detailed Description

Definition at line 1612 of file opennurbs_array.h.

## Constructor & Destructor Documentation

ON_2dexMap::ON_2dexMap | ( |  | ) |

ON_2dexMap::ON_2dexMap | ( | int | capacity | ) |

ON_2dexMap::~ON_2dexMap | ( |  | ) |

## Member Function Documentation

bool ON_2dexMap::AddIndex | ( | int | i,
|  | int | j
| ) |  |

const ON_2dex* ON_2dexMap::Array | ( |  | ) | const

int ON_2dexMap::Count | ( |  | ) | const

void ON_2dexMap::Create | ( | int | count,
|  | int | i0,
|  | int | j
| ) |  |

const ON_2dex* ON_2dexMap::Find2dex | ( | int | i | ) | const

int ON_2dexMap::FindIndex | ( | int | i,
|  | int | not_found_rc
| ) |  | const

ON_2dex ON_2dexMap::operator[] | ( | int | i | ) | const

bool ON_2dexMap::RemoveIndex | ( | int | i | ) |

void ON_2dexMap::Reserve | ( | int | capacity | ) |

bool ON_2dexMap::SetIndex | ( | int | i,
|  | int | j
| ) |  |

void ON_2dexMap::SetOrAddIndex | ( | int | i,
|  | int | j
| ) |  |

The documentation for this class was generated from the following file:

- /build/pcl-0nnAvv/pcl-1.7.2/surface/include/pcl/surface/3rdparty/opennurbs/opennurbs_array.h